body { 
    font-family: 'open Sans', sans-serif;
    color: #ffffff;
    font-weight: 400;
    padding: 30px;
}
/* Grid set up */
.wrapper{
    display: grid;
    grid-template-columns: 205px 2fr 1fr;
    grid-template-rows: auto;
    column-gap: 5px;
    row-gap: 5px;


    grid-template-areas: 
    "logo banner banner"
    "nav nav nav"
    "main main sidebar"
    "footer footer footer";
}

/* Common code areas */
.common {
    padding: 20px;
    border-radius: 5px;
}

/* grid areas */
.banner { grid-area: banner;
    background-color:  #0e2c50;

    /* centers contetn vertically */
    display: flex; 
    align-items: center;
}
.nav { grid-area: nav;
    background-color: #0e2c50;
    font-size: 120%;
    text-align: center;
}
.sidebar { grid-area: sidebar;
    background-color: #0e2c50;
}
.main { grid-area: main;
    background-color: #0e2c50;
}
.footer { grid-area: footer;
    background-color:  #153f6a;
    text-align: right;
}
.logo {
    grid-area: logo;
    background-color: #0e2c50 ; 
}


/* --- nav links ---*/
.nav {
    margin: 0px;
    padding: 10px 0 10px 10px;
    border-width: 1px 0 0 0;
    overflow: hidden;
}
.nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
.nav ul li {
    margin: 0 2.5em 0 5px;
    padding: 0;
    float: left;
    font-size: 1.2em;
    display: inline;
}
.nav ul li a {
    padding: 10px;
    color: #ffffff;
    text-align:center;
    text-decoration:none;
    margin: 5px;
    -moz-border-radius: 8px;
    -webkit-border-radius: 8px;
    border-radius: 8px;
    float:left;
    -moz-box-shadow: rgb(255, 255, 255) 1px 1px 3px ;
    -webkit-box-shadow: rgb(255, 255, 255) 1px 1px 3px ;
    box-shadow: rgb(255, 255, 255) 1px 1px 3px ;
}

/* Background colour for navigation buttons */
.nav ul a:link, nav ul a:visited {
    background: rgba(21, 63, 106);
}

/* Background colour changes when hovering */
.nav ul a:hover, nav ul a:active, nav ul a:focus {
    background: rgb(30, 85, 141);
}

/* Sidebar image Styling */
.img-side {
    border-radius: 50%;
    max-width: 85%;
    box-shadow: 0 6px 20px 0 rgb(0, 0, 0);
    height: auto;
    margin-left: 7%;
}

.sidebar h2 {
    text-align: center;
}
/* Result Styling */
.results {
    padding: 20px;
    background-color:rgba(21, 63, 106);
    min-height: 150px;
    margin-bottom: 10px;
}
.heading-block {
    display: flex;
}
.holiday-image {
    max-width: 150px;
    height: auto;
    float: left;
    padding-right: 20px;
}
.tag {
    background-color:rgb(30, 87, 145);
    padding: 5px;
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 4px;
    margin-right: 15px;
    border-width: 1px;
    border-style: solid;
    border-color: rgba(21, 63, 106);
}

/* Text Styling */
h1 {
    font-family: 'Special Elite', sans-serif;
    font-size: 300%
}
h2 {
    font-family: "Sour Gummy", sans-serif;
    font-size: 185%;
    font-weight: 600;
    font-style: normal;
}
.footer {
    font-family: "Sour Gummy", sans-serif;
    font-size: 125%;
    font-weight: 300;
    font-style: normal;
}